import React, { Fragment } from "react"
import ReactDOM from "react-dom"
import uuid from 'react-uuid'
import reportWebVitals from "./reportWebVitals"
import {Switch, Route, Router, HashRouter, Link, BrowserRouter} from "react-router-dom"

//import * as THREE from 'three';

import {Providers, AntProviders} from "./global/providers.comp"

import {Page as Root} from "./pages/root.page"
import {Page as Account} from "./pages/account"
import {Page as NotFound} from "./pages/not-found.page"
import {Page as NewInterface} from "./pages/new_index.page"

import { AppRouter } from "./pages/components/AppRouter"

import * as fcl from "@onflow/fcl"
import * as t from "@onflow/types"

import "./global/config"
import "./font.css"

//import ModelCategories from './pages/data/model_categories.json'
//import planA from './pages/data/models/planA_preview/planA' 

import models_category from './pages/data/models/drops/drop1.json';
import registry from './pages/data/models/drops/registry';
import { drop1, drop2, drop3 } from './pages/data/models/drops/registry'


window.fcl = fcl
window.t = t

//global.THREE = require('three');


const modelscat = models_category;
//const planType = "A";

  /* for (x in registry) {
      try {
        require(`path to registry/${registry[x]}`)
      } catch (e) {
        console.log(e)
    }
  } */


//console.log(modelscat)

/* ReactDOM.render(
  <Providers>
      <Switch>
        <Route exact path="/NewInterface" component={NewInterface} />
        <Route exact path="/0x:address" component={Account} />
        <Route exact path="/" component={Root} />
        <Route exact path="/" component={NotFound} />
      </Switch>
  </Providers>,
  document.getElementById("root")
) */

/* ReactDOM.render(
  <Fragment>
    <BrowserRouter>
      <Switch>
        {/* <Route exact path="/NewInterface#public" component={NewInterface} />
        <Route exact path="/NewInterface#private" component={NewInterface} />
        <Route exact path="/NewInterface#seed" component={NewInterface} />
        <Route exact path="/NewInterface" component={NewInterface} />
        <AppRouter path="/NewInterface#private" component={NewInterface} />
        <AppRouter path="/NewInterface#seed" component={NewInterface}/>
        <AppRouter path="/NewInterface" component={NewInterface} />
      </Switch>
    </BrowserRouter>
  </Fragment>,
  document.getElementById("root")
) */

function group_by_cat (drop) {
  const group = drop.reduce(function (r, a) {
      r[a.category_name] = r[a.category_name] || [];
      r[a.category_name].push(a);
      return r;
  }, Object.create(null));
  const storage_cat_keys = []
  //group_by_cat.map((value) => console.log("result", value))
  for (const [key, value] of Object.entries(group)) {
      //console.log(`${key}: ${value}`);
      storage_cat_keys.push(key)
  }
  return storage_cat_keys;
}

ReactDOM.render(
  <Fragment>
    <HashRouter basename="/NewInterface">
     {/*  <Link to="/"></Link>
      <Link to="/seed"></Link>
      <Link to="/private"></Link>
      <Link to="/public"></Link>
      <Link to="/assets"></Link>
      {group_by_cat(drop1).map((category) =>
                <Link to={"/assets"+"/drop1/"+category}>
                </Link>
                )}
      {group_by_cat(drop2).map((category) =>
      <Link to={"/assets"+"/drop2/"+category}>
      </Link>
      )} */}
      <Switch>
        <Route exact path="/" render={(props) => <NewInterface />}/>
        <Route exact path="/seed" render={(props) => <NewInterface />}/>
        <Route exact path="/private" render={(props) => <NewInterface />}/>
        <Route exact path="/public" render={(props) => <NewInterface />}/>
        <Route exact path="/assets/" render={(props) => <NewInterface />} />
        {group_by_cat(drop1).map((category) =>
                <Route exact path={"/assets"+"/drop1/"+category} render={(props) => <NewInterface />}/>
                )}
        {group_by_cat(drop2).map((category) =>
            <Route exact path={"/assets"+"/drop2/"+category} render={(props) => <NewInterface />}/>
            )}
        {group_by_cat(drop3).map((category) =>
            <Route exact path={"/assets"+"/drop3/"+category} render={(props) => <NewInterface />}/>
            )}
      </Switch>
    </HashRouter>
  </Fragment>,
  document.getElementById("root")
)

reportWebVitals()
