import React from 'react';
import 'antd/dist/antd.css';
import { Link, useLocation } from 'react-router-dom';
import ModelCategories from '../data/model_categories.json'
//import PlanA from '../data/models/planA_preview/planA'
//import models_category from '../data/models/drops/drop1.json'
import { drop1, drop2, drop3 } from '../data/models/drops/registry'


import { Menu } from 'antd';
const { SubMenu } = Menu;

export function MenuP(props) {

    const location = useLocation();
    const modelscat = drop1;
    const planType = props["plan"];

    //console.log("planType", planType);
    function handleUseState (){
        if (location.pathname === '/')
        return '/seed';
        else 
        return location.pathname;
    }

    function group_by_cat (drop) {
        const group = drop.reduce(function (r, a) {
            r[a.category_name] = r[a.category_name] || [];
            r[a.category_name].push(a);
            return r;
        }, Object.create(null));
        const storage_cat_keys = []
        //group_by_cat.map((value) => console.log("result", value))
        for (const [key, value] of Object.entries(group)) {
            //console.log(`${key}: ${value}`);
            storage_cat_keys.push(key)
        }
        return storage_cat_keys;
    }


    /* function handlePlanType(props){
        const type = props;
        //console.log("planType", props);
        switch(type){
            case "A":
                return (
                <SubMenu key="drop1" title="DROP 1" style={{whiteSpace: 'normal', height: 'auto'}}>
                    {modelscat.map((category) =>
                    <Menu.Item key={category.name}>
                        {category.name}
                        <Link to={"/assets/"+category.name}></Link>
                    </Menu.Item>
                    )}
                    </SubMenu>
                    );
        }
    } */

    return (
        <Menu
            mode="inline"
            theme="dark"
            defaultSelectedKeys={[handleUseState()]}
            style={{ height: '100%', borderRight: 0 }}
            onClick={props.onMenuChange}
            >
                <Menu.Item key="/seed" style={{whiteSpace: 'normal', height: 'auto'}}
                >
                    SEED PRE-SALE 50% DISCOUNT
                <Link to="/seed"></Link>
                </Menu.Item>
                <Menu.Item key="/private" style={{whiteSpace: 'normal', height: 'auto'}}
                >PRIVATE PRE-SALE 25% DISCOUNT
                <Link to="/private"></Link>
                </Menu.Item>
                <Menu.Item key="/public" style={{whiteSpace: 'normal', height: 'auto'}}
                >PUBLIC SALE FULL PRICE
                <Link to="/public"></Link>
                </Menu.Item>
                <SubMenu key="drop1" title="DROP 1" style={{whiteSpace: 'normal', height: 'auto'}}>
                    {group_by_cat(drop1).map((category) =>
                    <Menu.Item key={"/assets"+"/drop1/"+category}>
                        {category}
                        <Link to={"/assets"+"/drop1/"+category}></Link>
                    </Menu.Item>
                    )}
                </SubMenu>
                <SubMenu key="drop2" title="DROP 2" style={{whiteSpace: 'normal', height: 'auto'}}>
                    {group_by_cat(drop2).map((category) =>
                    <Menu.Item key={"/assets"+"/drop2/"+category}>
                        {category}
                        <Link to={"/assets"+"/drop2/"+category}></Link>
                    </Menu.Item>
                    )}
                </SubMenu>
                <SubMenu key="drop3" title="DROP 3" style={{whiteSpace: 'normal', height: 'auto'}}>
                    {group_by_cat(drop3).map((category) =>
                    <Menu.Item key={"/assets"+"/drop3/"+category}>
                        {category}
                        <Link to={"/assets"+"/drop3/"+category}></Link>
                    </Menu.Item>
                    )}
                </SubMenu>
        </Menu>
    )
}
