import React from 'react'
import 'antd/dist/antd.css';
import { BuyNow } from './BuyNow'
import '../sass/index.scss'

import { Card,
     Typography, Space  } 
from 'antd';

//const { Meta } = Card;

const { Text, Paragraph } = Typography;

export function Parcel({values, parcelType, smartcontract}) {

    //{console.log("parcel", parcelType)}

    const parcelName = values["NAME"];
    const parcelDesc = values["DESCRIPTION"];
    const parcelImg = values["Image Route"];
    const parcelAudio = values["Audio only channel"];
    const parcelAvatarCap = values["Avatar CAPACITY"];
    const parcelPriceSeed = values["Seed Sale price"];
    const parcelPricePrivate = values["Private Sale Price"];
    const parcelPricePublic = values["Public Sale Price"];
    const parcelQTY = values["QTY"];
    const parcelQTY1 = values["QTY__1"];
    const parcelQTY2 = values["QTY__2"];
    const parcelVideo = values["Video channel"];
    console.log(smartcontract["quatity_left"]);
    const QTY_left = smartcontract["quatity_left"];

    

    function changeParcelTypePrice (parceltype) {
        switch(parceltype) {
            case "/seed":
              return parcelPriceSeed;
            case "/private":
              return parcelPricePrivate;
            case "/public":
              return parcelPricePublic;
          }
    }

    function changeParcelTypeQTY (parceltype) {
        switch(parceltype) {
            case "/seed":
              return parcelQTY;
            case "/private":
              return parcelQTY1;
            case "/public":
              return parcelQTY2;
          }
    }

    function DisplayAudioOrVideo (props){
      const parcelAudio = props.parcelAudio;
      const parcelVideo = props.parcelVideo;
      if (parcelAudio == 0 ){
        return <Text>Video channel: {parcelVideo}</Text>;
      }
     return <Text>Audio channel: {parcelAudio}</Text>;
    }

    return (
    <Card bordered={false} size="small" className="card-parcel" /* style={{ width: 450 }} */
    cover={
        <img
          alt="parcel"
          src={parcelImg}
        />
      }
      >
    <Space direction="vertical">
    <Text className="parcel-name" strong>{parcelName}</Text> 
    <Text>Avatar capacity: {parcelAvatarCap}</Text>
    <DisplayAudioOrVideo parcelAudio={parcelAudio} parcelVideo={parcelVideo}/>
    <Text strong>Price: {changeParcelTypePrice(parcelType.parcelType)}</Text>
    <Text strong>QTY: {QTY_left} / {changeParcelTypeQTY (parcelType.parcelType)}</Text>
    <BuyNow /> 
    </Space>
        <Paragraph>{parcelDesc}</Paragraph>
    </Card>
    )
}
