import React, { Fragment } from 'react'
import { 
    Typography,
    Row, Col
} from 'antd';
import PostData from '../data/titles.json'
import '../sass/index.scss'
import { Logo } from './Logo'
import uuid from 'react-uuid'

const { Title, Paragraph } = Typography;

const title = PostData;
const title_types = ["/seed", "/private", "/public"];

export function Titles({parcelType}) {

    if(!(title_types.includes(parcelType))){
        parcelType = "/market";
    }
    //console.log(parcelType);

    return (
        title.map((postMessage) => 
                {
                    if (postMessage.id === parcelType) 
                    return (
                        <Fragment>
                        <Row>
                        <Col sm={{ span: 8, offset: 0 }} md={{ span: 8, offset: 0 }} xs={{ span: 8, offset: 0 }} lg={{ span: 8, offset: 0 }}>
                            <Title level={3}>{postMessage.title}</Title>
                        </Col>
                        <Col sm={{ span: 8, offset: 0 }} md={{ span: 8, offset: 0 }} xs={{ span: 8, offset: 0 }} lg={{ span: 10, offset: 0 }}>
                            <Logo />
                        </Col>
                        <Col sm={{ span: 8, offset: 0 }} md={{ span: 8, offset: 0 }} xs={{ span: 6, offset: 0 }} lg={{ span: 6, offset: 0 }}>
                            <Title level={3}>{postMessage.sale_title}</Title>
                        </Col>
                        </Row>
                        <Row>
                            <Col sm={{ span: 20, offset: 0 }} md={{ span: 24, offset: 0 }} xs={{ span: 24, offset: 0 }} lg={{ span: 24, offset: 0 }}>
                            <Paragraph className="plan_description">
                                {postMessage.plan_description}
                            </Paragraph>
                            </Col>
                        </Row>
                        </Fragment>
                        )
                })
    )
}
