import { baseURLGLTFBuildLibrary } from "../../gltfs/urlsBase";
import * as THREE from 'three';

const planAPath = "public_GLTF/Plan+A/";
const planA = {
  Mew:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Animals/Mew/Mew.gltf`,
    scale: new THREE.Vector3(1, 1, 1),
  },  
  Triceratops:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Animals/Triceratops/Triceratops.gltf`,
    scale: new THREE.Vector3(1, 1, 1),
  },
  Art1:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Art/Art1/Art1.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Art6:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Art/Art6/Art6.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Art7:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Art/Art7/Art7.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Art10:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Art/Art10/Art10.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Art14:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Art/Art14/Art14.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Avatar1:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Avatars/Avatar1/Avatar1.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Robo1:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Avatars/Robo1/Robo1.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Bridge1:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Bridges/Bridge1/Bridge1.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Bridge2:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Bridges/Bridge2/Bridge2.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Bridge3:
      {
        path: `${baseURLGLTFBuildLibrary}${planAPath}Bridges/Bridge3/Bridge3.gltf`,
        scale: new THREE.Vector3(1, 1, 1),
      },
  Chair1:
    {
      path: `${baseURLGLTFBuildLibrary}${planAPath}Chairs/Chair1/Chair1.gltf`,
      scale: new THREE.Vector3(1,1,1),
    },
  Chair6:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Chairs/Chair6/Chair6.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Chair7:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Chairs/Chair7/Chair7.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Chair9:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Chairs/Chair9/Chair9.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  DiscoBall1:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/DiscoBall1/DiscoBall1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Heart1:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/Heart1/Heart1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  House1:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/House1/House1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Hydrant1:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/Hydrant1/Hydrant1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Lamppost1:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/Lamppost1/Lamppost1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  WorldSphere:
  {
    path: `${baseURLGLTFBuildLibrary}${planAPath}Deco/WorldSphere/WorldSphere.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  DSSphere1:
    {
      path: `${baseURLGLTFBuildLibrary}${planAPath}Dome+Skybox/Sphere1/Sphere1.gltf`,
      scale: new THREE.Vector3(1,1,1),
    },
  BookCase3:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Furniture/BookCase3/BookCase3.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Cabinet2:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Furniture/Cabinet2/Cabinet2.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Counter1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Furniture/Counter1/Counter1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Sofa1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Furniture/Sofa1/Sofa1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Sofa2:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Furniture/Sofa2/Sofa2.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Car1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}FuturisticVehicles/Car1/Car1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Drone1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}FuturisticVehicles/Drone1/Drone1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Xwing:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}FuturisticVehicles/Xwing/Xwing.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Pedestal1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Pedestal/Pedestal1/Pedestal1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Bush2:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Bush2/Bush2.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Flower5:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Flower5/Flower5.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Plant1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Plant1/Plant1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Plant6:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Plant6/Plant6.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Tree3:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Tree3/Tree3.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Tree5:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Tree5/Tree5.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Tree6:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Tree6/Tree6.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Tree10:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Tree10/Tree10.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Tree12:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Plants/Tree12/Tree12.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Cone1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Primitives/Cone1/Cone1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Cube1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Primitives/Cube1/Cube1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Platonic:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Primitives/Platonic/Platonic.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Primitive1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Primitives/Primitive1/Primitive1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Statue1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Statues/Statue1/Statue1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Statue2:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Statues/Statue2/Statue2.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Statue3:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Statues/Statue3/Statue3.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Table3:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Tables/Table3/Tables3.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Table4:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Tables/Table4/Table4.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  Table8:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Tables/Table8/Table8.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor1:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor1/TeleportFloor1.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor2:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor2/TeleportFloor2.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor23:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor23/TeleportFloor23.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor24:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor24/TeleportFloor24.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor26:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor26/TeleportFloor26.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor27:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor27/TeleportFloor27.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
  TeleportFloor7:{
    path: `${baseURLGLTFBuildLibrary}${planAPath}Teleport_Floor/TeleportFloor7/TeleportFloor7.gltf`,
    scale: new THREE.Vector3(1,1,1),
  },
};

export default planA;